Skip to main content
GET
cURL

Authorizations

X-Claap-Key
string
header
required

Query Parameters

channelId
string

Discard recordings not belonging to this folder (aka channel).

createdAfter
string

Discard recordings created before specified time.

createdBefore
string

Discard recordings created after specified time.

cursor
string

Paginate the results starting at the cursor returned by a previous call.

labels
string

A collection of comma-separated label names. Discard recordings matching none of the specified labels. Labels can only be used when filtering by folder (aka channel).

limit
number
default:20

Return at most "limit" results.

Required range: 1 <= x <= 100
recorderEmail
string

Discard recordings which recorder email does not match specified one.

recorderId
string

Discard recordings which recorder identifier does not match specified one.

sort
enum<string>

Sort results according to specified rule. Defaults to the sorting of "viewId" when set, "created_desc" otherwise.

Available options:
created_asc,
created_desc,
duration_asc,
duration_desc,
title_asc,
title_desc
viewId
string

Return the recordings of the specified view: its filters and sorting apply, and other query parameters narrow the results down within the view. Use GET /v1/recordings/views to discover views.

Response

Recordings were successfully retrieved

result
object
required